stdex Additional custom or not Standard C++ covered algorithms

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | Friends | List of all members
stdex::html::token Class Reference

HTML token base class. More...

`#include <stdex/html.hpp>`

Inheritance diagram for stdex::html::token:

## Public Member Functions
template<class TR = std::char_traits<char>, class AX = std::allocator<char>>
size_t | append_tag (std::basic_string< char, TR, AX > &str) const
| Appends token tag to the source code.
template<class TR = std::char_traits<wchar_t>, class AX = std::allocator<wchar_t>>
size_t | append_tag (std::basic_string< wchar_t, TR, AX > &str) const
| Appends token tag to the source code.

## Static Public Member Functions
template<class T >
static token * | parse_tag (const T *str, size_t &offset)

## Public Attributes
token_t | type
| Token type.
sequence * | sequence
| Pointer to the sequence this token represents or nullptr when it doesn't trivially represent one sequence.
uintptr_t | data
| Any user-supplied data.

## Protected Member Functions
| token (token_t _type=token_t::root, sequence *_sequence=nullptr, uintptr_t _data=0)

## Friends
template<class T , class TR , class AX >
class | parser

## Detailed Description

HTML token base class.

## Member Function Documentation

## ◆ append_tag() [1/2]

template<class TR = std::char_traits<char>, class AX = std::allocator<char>>

size_t stdex::html::token::append_tag | ( | std::basic_string< char, TR, AX > & | str | ) | const
| inline

Appends token tag to the source code.

Parameters

  [in,out] | str | Source code

Returns
  Number of code units appended

## ◆ append_tag() [2/2]

template<class TR = std::char_traits<wchar_t>, class AX = std::allocator<wchar_t>>

size_t stdex::html::token::append_tag | ( | std::basic_string< wchar_t, TR, AX > & | str | ) | const
| inline

Appends token tag to the source code.

Parameters

  [in,out] | str | Source code

Returns
  Number of code units appended

The documentation for this class was generated from the following file:

- include/stdex/html.hpp